ChainReaderHelper (Apache Ant API)
Date: 2017-02-02

org.apache.tools.ant.filters.util

## Class ChainReaderHelper

- java.lang.Object
- - org.apache.tools.ant.filters.util.ChainReaderHelper

-     public final class ChainReaderHelper
      extends java.lang.Object

  Process a FilterReader chain.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `int` | `bufferSize` The size of the buffer to be used.
    `java.util.Vector<FilterChain>` | `filterChains` Chain of filters
    `java.io.Reader` | `primaryReader` The primary reader to which the reader chain is to be attached.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ChainReaderHelper()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.io.Reader` | `getAssembledReader()` Assemble the reader
    `Project` | `getProject()` Get the project
    `java.lang.String` | `readFully(java.io.Reader rdr)` Read data from the reader and return the contents as a string.
    `void` | `setBufferSize(int size)` Sets the buffer size to be used.
    `void` | `setFilterChains(java.util.Vector<FilterChain> fchain)` Sets the collection of filter reader sets
    `void` | `setPrimaryReader(java.io.Reader rdr)` Sets the primary reader
    `void` | `setProject(Project project)` Set the project to work with

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### primaryReader

          public java.io.Reader primaryReader

      The primary reader to which the reader chain is to be attached.

    - #### bufferSize

          public int bufferSize

      The size of the buffer to be used.

    - #### filterChains

          public java.util.Vector<FilterChain> filterChains

      Chain of filters

  - ### Constructor Detail

    - #### ChainReaderHelper

          public ChainReaderHelper()

  - ### Method Detail

    - #### setPrimaryReader

          public void setPrimaryReader(java.io.Reader rdr)

      Sets the primary reader
      Parameters:
        `rdr` - the reader object

    - #### setProject

          public void setProject(Project project)

      Set the project to work with
      Parameters:
        `project` - the current project

    - #### getProject

          public Project getProject()

      Get the project
      Returns:
        the current project

    - #### setBufferSize

          public void setBufferSize(int size)

      Sets the buffer size to be used. Defaults to 8192, if this method is not invoked.
      Parameters:
        `size` - the buffer size to use

    - #### setFilterChains

          public void setFilterChains(java.util.Vector<FilterChain> fchain)

      Sets the collection of filter reader sets
      Parameters:
        `fchain` - the filter chains collection

    - #### getAssembledReader

          public java.io.Reader getAssembledReader()
                                            throws BuildException

      Assemble the reader
      Returns:
        the assembled reader
      Throws:
        `BuildException` - if an error occurs

    - #### readFully

          public java.lang.String readFully(java.io.Reader rdr)
                                     throws java.io.IOException

      Read data from the reader and return the contents as a string.
      Parameters:
        `rdr` - the reader object
      Returns:
        the contents of the file as a string
      Throws:
        `java.io.IOException` - if an error occurs